Bug 238372 - YumBaseError.__str__ does adequate to a user-readable error message
Summary: YumBaseError.__str__ does adequate to a user-readable error message
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-29 22:38 UTC by Luke Macken
Modified: 2016-09-20 02:37 UTC (History)
1 user (show)

Fixed In Version: 1.3.9-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 22:24:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of error message (45.80 KB, image/png)
2007-04-29 22:38 UTC, Luke Macken
no flags Details
pirut-errmsg.patch (527 bytes, patch)
2007-04-29 22:39 UTC, Luke Macken
no flags Details | Diff

Description Luke Macken 2007-04-29 22:38:18 UTC
When pirut encounters transaction errors, it displays a string representation of
the YumBaseError that is thrown, which is not very readable.  See attached
screenshot for more details.

Comment 1 Luke Macken 2007-04-29 22:38:18 UTC
Created attachment 153749 [details]
Screenshot of error message

Comment 2 Luke Macken 2007-04-29 22:39:23 UTC
Created attachment 153750 [details]
pirut-errmsg.patch

Patch to clean up error message

Comment 3 Jeremy Katz 2007-04-30 18:46:13 UTC
Applied; thanks

Comment 4 Fedora Update System 2007-07-23 18:50:11 UTC
pirut-1.3.9-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-08-10 22:24:25 UTC
pirut-1.3.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.